paso::Preconditioner_AMG Struct Reference

Local preconditioner. More...

`#include <Preconditioner.h>`

## Public Attributes

int | level
SystemMatrix_ptr | A_C
| coarse level matrix More...
SystemMatrix_ptr | P
| prolongation n x n_C More...
SystemMatrix_ptr | R
| restriction n_C x n More...
Preconditioner_Smoother * | Smoother
int | post_sweeps
int | pre_sweeps
dim_t | options_smoother
| used in direct solver More...
bool | verbose
| used in direct solver More...
index_t | reordering
| applied reordering in direct solver More...
int | refinements
| number of refinements in direct solver (typically =0) More...
double * | r
| buffer for residual More...
double * | x_C
| solution of coarse level system More...
double * | b_C
| right hand side of coarse level system More...
MergedSolver * | merged_solver
| used on the coarsest level More...
Preconditioner_AMG * | AMG_C

## Detailed Description

Local preconditioner.

## Member Data Documentation

## A_C

SystemMatrix_ptr paso::Preconditioner_AMG::A_C

coarse level matrix

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_getCoarseLevelSparsity(), paso::Preconditioner_AMG_getNumCoarseUnknowns(), and paso::Preconditioner_AMG_solve().

## AMG_C

Preconditioner_AMG* paso::Preconditioner_AMG::AMG_C

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_free(), paso::Preconditioner_AMG_getCoarseLevelSparsity(), paso::Preconditioner_AMG_getMaxLevel(), paso::Preconditioner_AMG_getNumCoarseUnknowns(), and paso::Preconditioner_AMG_solve().

## b_C

double* paso::Preconditioner_AMG::b_C

right hand side of coarse level system

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_free(), and paso::Preconditioner_AMG_solve().

## level

int paso::Preconditioner_AMG::level

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_getMaxLevel(), and paso::Preconditioner_AMG_solve().

## merged_solver

MergedSolver* paso::Preconditioner_AMG::merged_solver

used on the coarsest level

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_free(), and paso::Preconditioner_AMG_solve().

## options_smoother

dim_t paso::Preconditioner_AMG::options_smoother

used in direct solver

## P

SystemMatrix_ptr paso::Preconditioner_AMG::P

prolongation n x n_C

Referenced by paso::Preconditioner_AMG_alloc(), and paso::Preconditioner_AMG_solve().

## post_sweeps

int paso::Preconditioner_AMG::post_sweeps

Referenced by paso::Preconditioner_AMG_alloc(), and paso::Preconditioner_AMG_solve().

## pre_sweeps

int paso::Preconditioner_AMG::pre_sweeps

Referenced by paso::Preconditioner_AMG_alloc(), and paso::Preconditioner_AMG_solve().

## R

SystemMatrix_ptr paso::Preconditioner_AMG::R

restriction n_C x n

Referenced by paso::Preconditioner_AMG_alloc(), and paso::Preconditioner_AMG_solve().

## r

double* paso::Preconditioner_AMG::r

buffer for residual

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_free(), and paso::Preconditioner_AMG_solve().

## refinements

int paso::Preconditioner_AMG::refinements

number of refinements in direct solver (typically =0)

## reordering

index_t paso::Preconditioner_AMG::reordering

applied reordering in direct solver

## Smoother

Preconditioner_Smoother* paso::Preconditioner_AMG::Smoother

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_free(), and paso::Preconditioner_AMG_solve().

## verbose

bool paso::Preconditioner_AMG::verbose

used in direct solver

## x_C

double* paso::Preconditioner_AMG::x_C

solution of coarse level system

Referenced by paso::Preconditioner_AMG_alloc(), paso::Preconditioner_AMG_free(), and paso::Preconditioner_AMG_solve().

The documentation for this struct was generated from the following file:

- Preconditioner.h